<?php

namespace Drupal\views_vcards\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a Plugin annotation object for Views Vcards properties.
 *
 * @see \Drupal\views_vcards\ViewsVcards\PropertyPluginManager
 * @see \Drupal\views_vcards\ViewsVcards\Property\VcardPropertyPluginBase
 * @see plugin_api
 *
 * @Annotation
 */
class ViewsVcardsProperty extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The title of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $title;

  /**
   * The property to put on the vCard.
   *
   * @var string
   */
  public $property;

  /**
   * Indicates if the property can have different values for home and work.
   *
   * @var bool
   */
  public $supportsHomeWorkType;

}
