<?php

namespace Drupal\views_vcards\Plugin\ViewsVcards\Property;

use Drupal\Core\Form\FormStateInterface;
use Drupal\views_vcards\VcardPropertyPluginBase;
use Drupal\views_vcards\VcardPropertyPluginInterface;

/**
 * Defines a vcard ORG property.
 *
 * @ViewsVcardsProperty(
 *   id = "org",
 *   title = @Translation("Organizational name"),
 *   property = "ORG",
 *   supportsHomeWorkType = true,
 * )
 */
class Org extends VcardPropertyPluginBase implements VcardPropertyPluginInterface {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);
    // Enhance the description.
    $form['views_field']['#description'] = $this->t('You can use views rewriting to add organizational units if required. Separate them by a semicolon (;). Example: ABC, Inc.;North American Division;Marketing');

    return $form;
  }

}
