<?php

namespace Drupal\views_vcards\Plugin\ViewsVcards\Property;

use Drupal\Core\Form\FormStateInterface;
use Drupal\views_vcards\VcardPropertyPluginBase;
use Drupal\views_vcards\VcardPropertyPluginInterface;

/**
 * Defines a vcard TEL property.
 *
 * @ViewsVcardsProperty(
 *   id = "tel",
 *   title = @Translation("Telephone"),
 *   property = "TEL",
 *   supportsHomeWorkType = true,
 * )
 */
class Tel extends VcardPropertyPluginBase implements VcardPropertyPluginInterface {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);

    $tel_type_options = [
      'text',
      'voice',
      'fax',
      'cell',
      'video',
      'pager',
      'textphone',
    ];

    $form['type'] = [
      '#type' => 'select',
      '#title' => $this->t('Type'),
      '#options' => array_combine($tel_type_options, $tel_type_options),
      '#empty_option' => $this->t('- Select type -'),
      '#empty_value' => '',
      '#multiple' => TRUE,
      '#default_value' => $this->getConfiguration('type'),
    ];

    return $form;
  }

}
