<?php

namespace Drupal\views_vcards;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;

/**
 * Defines a plugin manager for handling vCard properties.
 */
class PropertyPluginManager extends DefaultPluginManager {

  /**
   * Constructs a PropertyPluginManager object.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/ViewsVcards/Property',
      $namespaces,
      $module_handler,
      'Drupal\views_vcards\VcardPropertyPluginInterface',
      'Drupal\views_vcards\Annotation\ViewsVcardsProperty'
    );

    $this->alterInfo('vcard_property');
    $this->setCacheBackend($cache_backend, 'vcard_property_plugins');
  }

}
